################################################################################
#
# LIBCIVETWEB_CPP
#
################################################################################

LIBCIVETWEB_CPP_VERSION:= 1.8

LIBCIVETWEB_CPP_SITE = $(TOPDIR)/../../src/3P/civetweb/builders/cmake
LIBCIVETWEB_CPP_SITE_METHOD = local
LIBCIVETWEB_CPP_INSTALL_STAGING = YES

LIBCIVETWEB_CPP_CONF = SRC_DIR=$(TOPDIR)/../..

LIBCIVETWEB_CPP_CONF_ENV = $(LIBCIVETWEB_CPP_CONF)
LIBCIVETWEB_CPP_MAKE_ENV = $(LIBCIVETWEB_CPP_CONF)
LIBCIVETWEB_CPP_CONF_OPTS += -DMODULE_PATH=$(TOPDIR)/../../bsp/cmake-modules -DCMAKE_BUILD_TYPE=$(BUILD_TYPE)

$(eval $(cmake-package))
